Bug Hunting Session
Bug 67817 - Certain action in Writer AutoText crashes LibreOffice
Summary: Certain action in Writer AutoText crashes LibreOffice
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: Other All
: medium critical
Assignee: Ivan Timofeev (retired)
URL:
Whiteboard: target:4.2.0 target:4.1.2
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-08-06 09:11 UTC by Gerry
Modified: 2015-03-31 09:22 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
hs_err_pid3872.log (116.25 KB, text/x-log)
2013-08-06 12:16 UTC, Gerry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gerry 2013-08-06 09:11:55 UTC
A certain action in LibreOffice 4.1 AutoText always leads to a LibreOffice crash.

How to reproduce:
* Open a new Writer document
* Type something
* Mark some of the text
* Go to Edit -> AutoText
* Enter aaaa in "Name" and aaaa in "abbreviation".
* Click on the Arrow left to the AutoTexts called "Standard" 
* Try to move (drag&drop with the mouse) any of the entries in the list of the "Standard" AutoTexts.
* LibreOffice will freeze and crash.


Version: 4.1.0.4, Build ID: 410m0(Build:4)
System: Ubuntu 13.04, Gnome3
Comment 1 Gerry 2013-08-06 12:16:45 UTC
Created attachment 83712 [details]
hs_err_pid3872.log

Running LO from the command line gives me the error log attached. Additionally following error message was displayed in the console:

# A fatal error has been detected by the Java Runtime Environment:
#  SIGSEGV (0xb) at pc=0x00007f4d02949db3, pid=3872, tid=139970543057408
# JRE version: 6.0_27-b27
# Java VM: OpenJDK 64-Bit Server VM (20.0-b12 mixed mode linux-amd64 compressed oops)
# Derivative: IcedTea6 1.12.6
# Distribution: Ubuntu 13.04, package 6b27-1.12.6-1ubuntu0.13.04.2
# Problematic frame:
# C  [libswlo.so+0x902db3]  SwGlossaryHdl::IsReadOnly(String const*) const+0x23
Comment 2 Gerry 2013-08-06 12:22:22 UTC
By the way, same crash happens with:

java version "1.7.0_25"
OpenJDK Runtime Environment (IcedTea 2.3.10) (7u25-2.3.10-1ubuntu0.13.04.2)
OpenJDK 64-Bit Server VM (build 23.7-b01, mixed mode)
Comment 3 Ivan Timofeev (retired) 2013-08-08 06:51:43 UTC
Thanks for the report, confirmed. Not reproducible in 4.0 => regression.
Comment 4 Commit Notification 2013-08-08 07:03:43 UTC
Ivan Timofeev committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a0bbc768a5fac2c3d27cd70877961561fe7f0ffa

fdo#67817: GetParent returns a VclGrid instance after conversion to .ui



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2013-08-08 08:03:20 UTC
Ivan Timofeev committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9b82bd95224203f62cf8d26f2af98888f915e85e&h=libreoffice-4-1

fdo#67817: GetParent returns a VclGrid instance after conversion to .ui


It will be available in LibreOffice 4.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.